use crate::{Payload, SeString};
use crate::payload::PlayerPayload;

super::basic_tests! {
    player {
        payload = &[2, 39, 23, 1, 1, 74, 1, 255, 17, 69, 108, 111, 114, 97, 32, 65, 98, 121, 115, 115, 105, 110, 105, 97, 110, 3];
        expected = SeString(vec![
            Payload::Player(PlayerPayload {
                server_id: 73,
                name: "Elora Abyssinian".to_string(),
            }),
        ]);
    }
}
